Package org.eclipse.app4mc.amalthea.model.builder

## Class OperatingSystemBuilder

- Object
- - OperatingSystemBuilder

    public class OperatingSystemBuilder
    extends Object

### Constructor Summary

Constructors
`OperatingSystemBuilder()`

### Method Summary

All Methods
`void` `apiOverhead​(OsOverhead container, Procedures.Procedure1<OsAPIOverhead> initializer)`
`void` `dataConsistency​(OperatingSystem container, Procedures.Procedure1<OsDataConsistency> initializer)`
`void` `interruptController​(OperatingSystem container, Procedures.Procedure1<InterruptController> initializer)`
`void` `isrOverheadCat1​(OsOverhead container, Procedures.Procedure1<OsISROverhead> initializer)`
`void` `isrOverheadCat2​(OsOverhead container, Procedures.Procedure1<OsISROverhead> initializer)`
`void` `labelAccess​(Scheduler container, Procedures.Procedure1<LabelAccess> initializer)`
`void` `operatingSystem​(OSModel container, Procedures.Procedure1<OperatingSystem> initializer)`
`void` `operatingSystem_Vendor​(OSModel container, Procedures.Procedure1<VendorOperatingSystem> initializer)`
`OSModel` `osModelRoot​(Procedures.Procedure1<OSModel> initializer)`
`void` `osOverhead​(OSModel container, Procedures.Procedure1<OsOverhead> initializer)`
`void` `parameter_extension​(SchedulerAssociation container, String key, String value)`
`void` `parentAssociation​(TaskScheduler container, Procedures.Procedure1<SchedulerAssociation> initializer)`
`void` `schedulingParameters​(SchedulerAssociation container, Procedures.Procedure1<SchedulingParameters> initializer)`
`void` `semaphore​(OSModel container, Procedures.Procedure1<Semaphore> initializer)`
`void` `taskScheduler​(OperatingSystem container, Procedures.Procedure1<TaskScheduler> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperatingSystemBuilder

    public OperatingSystemBuilder()

### Method Detail

#### osModelRoot

    public OSModel osModelRoot​(Procedures.Procedure1<OSModel> initializer)

#### operatingSystem

    public void operatingSystem​(OSModel container,
                                Procedures.Procedure1<OperatingSystem> initializer)

#### operatingSystem_Vendor

    public void operatingSystem_Vendor​(OSModel container,
                                       Procedures.Procedure1<VendorOperatingSystem> initializer)

#### semaphore

    public void semaphore​(OSModel container,
                          Procedures.Procedure1<Semaphore> initializer)

#### osOverhead

    public void osOverhead​(OSModel container,
                           Procedures.Procedure1<OsOverhead> initializer)

#### taskScheduler

    public void taskScheduler​(OperatingSystem container,
                              Procedures.Procedure1<TaskScheduler> initializer)

#### interruptController

    public void interruptController​(OperatingSystem container,
                                    Procedures.Procedure1<InterruptController> initializer)

#### dataConsistency

    public void dataConsistency​(OperatingSystem container,
                                Procedures.Procedure1<OsDataConsistency> initializer)

#### labelAccess

    public void labelAccess​(Scheduler container,
                            Procedures.Procedure1<LabelAccess> initializer)

#### parentAssociation

    public void parentAssociation​(TaskScheduler container,
                                  Procedures.Procedure1<SchedulerAssociation> initializer)

#### schedulingParameters

    public void schedulingParameters​(SchedulerAssociation container,
                                     Procedures.Procedure1<SchedulingParameters> initializer)

#### parameter_extension

    public void parameter_extension​(SchedulerAssociation container,
                                    String key,
                                    String value)

#### apiOverhead

    public void apiOverhead​(OsOverhead container,
                            Procedures.Procedure1<OsAPIOverhead> initializer)

#### isrOverheadCat1

    public void isrOverheadCat1​(OsOverhead container,
                                Procedures.Procedure1<OsISROverhead> initializer)

#### isrOverheadCat2

    public void isrOverheadCat2​(OsOverhead container,
                                Procedures.Procedure1<OsISROverhead> initializer)